### Property

# Camel MessageInfo:uid

since: 3.24

#### Declaration

    property uid: utf8 [ read, write ]

#### Description [src]

A unique ID of the message in its folder.

Type:`gchar*`

Available since: 3.24

Default value | NULL
Getter method | `camel_message_info_get_uid()`
Setter method | `camel_message_info_set_uid()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no